[general]
	#getbmp#
	{	
		if (<=English>)		{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "EN" tc=black nobold } else{ng "flagusa.bmp"}}
		elsif(<=German>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "DE" tc=black nobold } else{ng "flagger.bmp"}}
		elsif(<=French>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "FR" tc=black nobold } else{ng "flagfre.bmp"}}
		elsif(<=Spanish>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "ES" tc=black nobold } else{ng "flagspa.bmp"}}
		elsif(<=Portuguese>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "PT" tc=black nobold } else{ng "flagpor.bmp"}}
		elsif(<=Italian>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "IT" tc=black nobold } else{ng "flagita.bmp"}}
		elsif(<=Swedish>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "SV" tc=black nobold } else{ng "flagswe.bmp"}}
		elsif(<=Finnish>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "FI" tc=black nobold } else{ng "flagfin.bmp"}}
		elsif(<=Norwegian>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "NO" tc=black nobold } else{ng "flagnor.bmp"}}
		elsif(<=Dutch>)		{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "NL" tc=black nobold } else{ng "flagdut.bmp"}}
		elsif(<=Danish>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "DA" tc=black nobold } else{ng "flagdan.bmp"}}
		elsif(<=Russian>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "RU" tc=black nobold } else{ng "flagrus.bmp"}}
                elsif(<=Czech>)		{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "CS" tc=black nobold } else{ng "flagrus.bmp"}}
                elsif(<=Croatian>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "HR" tc=black nobold } else{ng "flagrus.bmp"}}
                elsif(<=Bulgarian>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "BG" tc=black nobold } else{ng "flagbul.bmp"}}
                elsif(<=Slovenian>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "SL" tc=black nobold } else{ng "flagrus.bmp"}}
                elsif(<=Turkish>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "TR" tc=black nobold } else{ng "flagtur.bmp"}}
                elsif(<=Hungarian>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "HU" tc=black nobold } else{ng "flaghun.bmp"}}
                elsif(<=Polish>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "PL" tc=black nobold } else{ng "flagpol.bmp"}}
		elsif(<=Slovakian>)	{if (is "labels" ) {fn="Arial" fs=11 tc=brown bold "SK" tc=black nobold } else{ng "flagslo.bmp"}}
		else{ng "slo.bmp" }
	}

	#getfont#
	{	
		if (<=English>)		{fn = "Arial"		clear "russian_font" 	clear "east_font"     clear "turkish_font"}
		elsif(<=German>)	{fn = "Arial"		clear "russian_font" 	clear "east_font"     clear "turkish_font"}
		elsif(<=French>)	{fn = "Arial"		clear "russian_font" 	clear "east_font"     clear "turkish_font"}
		elsif(<=Spanish>)	{fn = "Arial"		clear "russian_font" 	clear "east_font"     clear "turkish_font"}
		elsif(<=Portuguese>)	{fn = "Arial"		clear "russian_font" 	clear "east_font"     clear "turkish_font"}
		elsif(<=Italian>)   	{fn = "Arial"		clear "russian_font" 	clear "east_font"     clear "turkish_font"}
		elsif(<=Swedish>)   	{fn = "Arial"		clear "russian_font" 	clear "east_font"     clear "turkish_font"}
		elsif(<=Finnish>)   	{fn = "Arial"		clear "russian_font" 	clear "east_font"     clear "turkish_font"}
		elsif(<=Norwegian>)   	{fn = "Arial"		clear "russian_font" 	clear "east_font"     clear "turkish_font"}
		elsif(<=Dutch>)     	{fn = "Arial"		clear "russian_font" 	clear "east_font"     clear "turkish_font"}
		elsif(<=Danish>)    	{fn = "Arial"		clear "russian_font" 	clear "east_font"     clear "turkish_font"}
		elsif(<=Russian>)   	{fn = "Arial Cyr"	set "russian_font" 	clear "east_font"     clear "turkish_font"}
                elsif(<=Czech>)     	{fn = "Arial CE"	clear "russian_font" 	  set "east_font"     clear "turkish_font"}
                elsif(<=Croatian>)      {fn = "Arial CE"	clear "russian_font" 	  set "east_font"     clear "turkish_font"}
                elsif(<=Bulgarian>)     {fn = "Arial Cyr"	set "russian_font" 	clear "east_font"     clear "turkish_font"}
                elsif(<=Slovenian>)     {fn = "Arial CE"	clear "russian_font" 	  set "east_font"     clear "turkish_font"}
                elsif(<=Hungarian>) 	{fn = "Arial CE"	clear "russian_font" 	  set "east_font"     clear "turkish_font"}
                elsif(<=Polish>)    	{fn = "Arial CE"	clear "russian_font" 	  set "east_font"     clear "turkish_font"}
                elsif(<=Slovakian>)    	{fn = "Arial CE"	clear "russian_font" 	  set "east_font"     clear "turkish_font"}
                elsif(<=Turkish>)    	{fn = "Arial TUR"	clear "russian_font" 	clear "east_font"     set "turkish_font"}
	}

	#setfont#
	{
		if    ( is "russian_font" ) 	{fs=9   fn = "Arial Cyr"}
		elsif ( is "east_font"    ) 	{fs=9   fn = "Arial CE"}
                elsif ( is "turkish_font" ) 	{fs=9   fn = "Arial TUR"}
		else 				{fs=9   fn = "Arial"}
	}

        #entry#
        {
		while (<>)                      // zum nächsten Feld
		{
			nobold
			tc=black
			if (<=idx>)             // wenns Indexfeld ist, abbrechen
			{
				break
			}

			elsif (<=Object typ>)
			{
				ri 5 nobold italic fs=9 lm=70 fn="Arial"
				
				while (not <.>)
				{
					<.\>			
					ng "seealso.bmp" " "
					green bold fs=8
					italic
					<.>			
					noitalic nobold
					black fs=9
				}
				noitalic
			}	

/*                         elsif (<=Synonym>)
			{
				cr bold fs = 8 fn="Arial" "Synonym:" ri 5 nobold fs=9 lm=50
				#setfont#				

				while (not <.>)
				{
					<.\>			
					ng "seealso.bmp" " "
					green bold fs=8
					italic
					<.>			
					noitalic nobold
					black fs=9
				}
			}
*/

			elsif (<=Gender>)
			{
				bold fs = 8 fn="Arial" ri 5 nobold fs=9 lm=50
				#setfont#				

				while (not <.>)
				{
					<.\>			
					ng "seealso.bmp" " "
					green bold fs=8
					italic
					<.>			
					noitalic nobold
					black fs=9
				}
			}


			elsif (<=Part of speech>)
			{
				bold fs = 8 fn="Arial" italic ri 5 nobold fs=9 lm=50
				#setfont#				
                                tc=red
				while (not <.>)
				{
					<.\>			
					ng "seealso.bmp" " "
					green bold fs=8
					italic
					<.>			
					noitalic nobold
					black fs=9
				}
                                tc=black
                                noitalic
			}



			elsif (<=Dialect>)
			{
				cr bold fs = 8 fn="Arial" "Dialect:" ri 5 nobold fs=9 lm=50
				#setfont#				

				while (not <.>)
				{
					<.\>			
					ng "seealso.bmp" " "
					green bold fs=8
					italic
					<.>			
					noitalic nobold
					black fs=9
				}
			}				


			elsif (<=To release>)
			{
				cr bold fs = 8 fn="Arial" "To release:" ri 5 nobold fs=9 lm=50
				#setfont#				

				while (not <.>)
				{
					<.\>			
					ng "seealso.bmp" " "
					green bold fs=8
					italic
					<.>			
					noitalic nobold
					black fs=9
				}
			}		

			elsif (<=Glossary>)
			{
				cr bold fs = 8 fn="Arial" "Glossary:" ri 5 nobold fs=9 lm=50
				#setfont#				

				while (not <.>)
				{
					<.\>			
					ng "seealso.bmp" " "
					green bold fs=8
					italic
					<.>			
					noitalic nobold
					black fs=9
				}
			}		
		}
        }



[dictionary]
	cr
	fn="Arial"
	lm 20
	rm 20
	center
	ng "sap.bmp"
	cr italic fs=12 bold blue "SAPterm" cr black fs 9 noitalic
	"Terminology database"
	cr
	"Version 3.0 from 10.July 2002"
	cr
	"Copyright by SAP AG, 2002."
	cr
	"All rights reserved."
	left
	indexfont "Arial"
	set "labels"



[index]


        on {    fn="Arial" fs = 9
                lm 20 if (is "labels" ) {bold "BG" nobold } else {ng "flagbul.bmp"} lm=50 "Bulgarian" }
        do {    if (is "labels" ) {indexlabel = "BG"} else {indexbmp "bul.bmp"}
		index = <Bulgarian> indexfont "Arial Cyr" }

        on { lm 20 if (is "labels" ) {bold "HR" nobold } else {ng "flagrus.bmp"} lm=50 "Croatian" }
	do {    if (is "labels" ) {indexlabel = "HR"} else {indexbmp "rus.bmp"}
		index = <Croatian> indexfont "Arial CE" }

        on { lm 20 if (is "labels" ) {bold "CS" nobold } else {ng "flagrus.bmp"} lm=50 "Czech" }
	do {    if (is "labels" ) {indexlabel = "CS"} else {indexbmp "rus.bmp"}
		index = <Czech> indexfont "Arial CE" }

        on { lm 20 if (is "labels" ) {bold "DA" nobold } else {ng "flagdan.bmp"} lm=50 "Danish" }
	do {    if (is "labels" ) {indexlabel = "DA"} else {indexbmp "dan.bmp"}
		index = <Danish> indexfont "Arial" }

        on { lm 20  if (is "labels" ) {bold "DE" nobold } else {ng "flagger.bmp"} lm=50 "German" }
	do {    if (is "labels" ) {indexlabel = "DE"} else {indexbmp "ger.bmp"}
		index = <German> indexfont "Arial" }

        on { lm 20  if (is "labels" ) {bold "EN" nobold } else {ng "flagusa.bmp"} lm=50 "English" }
	do { 	if (is "labels" ) {indexlabel = "EN"} else {indexbmp "usa.bmp"}
		index = <English> indexfont "Arial" }

	on { lm 20 if (is "labels" ) {bold "ES" nobold } else {ng "flagspa.bmp"} lm=50 "Spanish" }
	do {    if (is "labels" ) {indexlabel = "ES"} else {indexbmp "spa.bmp"}
		index = <Spanish> indexfont "Arial" }

	on { lm 20 if (is "labels" ) {bold "FI" nobold } else {ng "flagfin.bmp"} lm=50 "Finnish" }
	do {    if (is "labels" ) {indexlabel = "FI"} else {indexbmp "fin.bmp"}
		index = <Finnish> indexfont "Arial" }

        on { lm 20 if (is "labels" ) {bold "FR" nobold } else {ng "flagfre.bmp"} lm=50 "French" }
	do {    if (is "labels" ) {indexlabel = "FR"} else {indexbmp "fre.bmp"}
		index = <French> indexfont "Arial" }

        on { lm 20 if (is "labels" ) {bold "HU" nobold } else {ng "flaghun.bmp"} lm=50 "Hungarian" }
	do {    if (is "labels" ) {indexlabel = "HU"} else {indexbmp "hun.bmp"}
		index = <Hungarian> indexfont "Arial CE" }

        on { lm 20 if (is "labels" ) {bold "IT" nobold } else {ng "flagita.bmp"} lm=50 "Italian" }
	do {    if (is "labels" ) {indexlabel = "IT"} else {indexbmp "ita.bmp"}
		index = <Italian> indexfont "Arial" }

        on { lm 20 if (is "labels" ) {bold "NL" nobold } else {ng "flagdut.bmp"} lm=50 "Dutch" }
	do {    if (is "labels" ) {indexlabel = "NL"} else {indexbmp "dut.bmp"}
		index = <Dutch> indexfont "Arial" }

        on { lm 20 if (is "labels" ) {bold "NO" nobold } else {ng "flagnor.bmp"} lm=50 "Norwegian" }
	do {    if (is "labels" ) {indexlabel = "NO"} else {indexbmp "nor.bmp"}
		index = <Norwegian> indexfont "Arial" }

	on { lm 20 if (is "labels" ) {bold "PL" nobold } else {ng "flagpol.bmp"} lm=50 "Polish" }
	do {    if (is "labels" ) {indexlabel = "PL"} else {indexbmp "pol.bmp"}
		index = <Polish> indexfont "Arial CE" }

        on { lm 20 if (is "labels" ) {bold "PT" nobold } else {ng "flagpor.bmp"} lm=50 "Portuguese" }
	do {    if (is "labels" ) {indexlabel = "PT"} else {indexbmp "por.bmp"}
		index = <Portuguese> indexfont "Arial" }

        on { lm 20 if (is "labels" ) {bold "RU" nobold } else {ng "flagrus.bmp"} lm=50 "Russian" }
	do {    if (is "labels" ) {indexlabel = "RU"} else {indexbmp "rus.bmp"}
		index = <Russian> indexfont "Arial Cyr" }

	on { lm 20 if (is "labels" ) {bold "SK" nobold } else {ng "flagslo.bmp"} lm=50 "Slovakian" }
	do {    if (is "labels" ) {indexlabel = "SK"} else {indexbmp "slo.bmp"}
		index = <Slovakian> indexfont "Arial CE" }

	on { lm 20 if (is "labels" ) {bold "SL" nobold } else {ng "flagrus.bmp"} lm=50 "Slovenian" }
	do {    if (is "labels" ) {indexlabel = "SL"} else {indexbmp "rus.bmp"}
		index = <Slovenian> indexfont "Arial CE" }

	on { lm 20 if (is "labels" ) {bold "SV" nobold } else {ng "flagswe.bmp"} lm=50 "Swedish" }
	do {    if (is "labels" ) {indexlabel = "SV"} else {indexbmp "swe.bmp"}
		index = <Swedish> indexfont "Arial" }

        on { lm 20 if (is "labels" ) {bold "TR" nobold } else {ng "flagtur.bmp"} lm=50 "Turkish" }
	do {    if (is "labels" ) {indexlabel = "TR"} else {indexbmp "tur.bmp"}
		index = <Turkish> indexfont "Arial TUR" }

[target]

        on {  fn="Arial" fs = 9
                lm 20 if (is "labels" ) {bold "BG" nobold } else {ng "flagbul.bmp"} lm=50 "Bulgarian" }
	do {    if (is "labels" ) {targetlabel = "BG"} else {targetbmp "bul.bmp"}
		target = <Bulgarian> }

       	on {    lm 20 if (is "labels" ) {bold "HR" nobold } else {ng "flagrus.bmp"} lm=50 "Croatian" }
	do {    if (is "labels" ) {targetlabel = "HR"} else {targetbmp "rus.bmp"}
		target = <Croatian> }

	on { lm 20 if (is "labels" ) {bold "CS" nobold } else {ng "flagrus.bmp"} lm=50 "Czech" }
	do {    if (is "labels" ) {targetlabel = "CS"} else {targetbmp "rus.bmp"}
		target = <Czech> }

        on { lm 20 if (is "labels" ) {bold "DA" nobold } else {ng "flagdan.bmp"} lm=50 "Danish" }
	do {    if (is "labels" ) {targetlabel = "DA"} else {targetbmp "dan.bmp"}
		target = <Danish> }

        on { lm 20  if (is "labels" ) {bold "DE" nobold } else {ng "flagger.bmp"} lm=50 "German" }
	do {    if (is "labels" ) {targetlabel = "DE"} else {targetbmp "ger.bmp"}
		target = <German> }

	on {    lm 20  if (is "labels" ) {bold "EN" nobold } else {ng "flagusa.bmp"} lm=50 "English" }
	do { 	if (is "labels" ) {targetlabel = "EN"} else {targetbmp "usa.bmp"}
		target = <English> }

	on { lm 20 if (is "labels" ) {bold "ES" nobold } else {ng "flagspa.bmp"} lm=50 "Spanish" }
	do {    if (is "labels" ) {targetlabel = "ES"} else {targetbmp "spa.bmp"}
		target = <Spanish> }
	
	on { lm 20 if (is "labels" ) {bold "FI" nobold } else {ng "flagfin.bmp"} lm=50 "Finnish" }
	do {    if (is "labels" ) {targetlabel = "FI"} else {targetbmp "fin.bmp"}
		target = <Finnish> }

        on { lm 20 if (is "labels" ) {bold "FR" nobold } else {ng "flagfre.bmp"} lm=50 "French" }
	do {    if (is "labels" ) {targetlabel = "FR"} else {targetbmp "fre.bmp"}
		target = <French> }

        on { lm 20 if (is "labels" ) {bold "HU" nobold } else {ng "flaghun.bmp"} lm=50 "Hungarian" }
	do {    if (is "labels" ) {targetlabel = "HU"} else {targetbmp "hun.bmp"}
		target = <Hungarian> }

	on { lm 20 if (is "labels" ) {bold "IT" nobold } else {ng "flagita.bmp"} lm=50 "Italian" }
	do {    if (is "labels" ) {targetlabel = "IT"} else {targetbmp "ita.bmp"}
		target = <Italian> }

        on { lm 20 if (is "labels" ) {bold "NL" nobold } else {ng "flagdut.bmp"} lm=50 "Dutch" }
	do {    if (is "labels" ) {targetlabel = "NL"} else {targetbmp "dut.bmp"}
		target = <Dutch> }

	on { lm 20 if (is "labels" ) {bold "NO" nobold } else {ng "flagnor.bmp"} lm=50 "Norwegian" }
	do {    if (is "labels" ) {targetlabel = "NO"} else {targetbmp "nor.bmp"}
		target = <Norwegian> }

	on { lm 20 if (is "labels" ) {bold "PL" nobold } else {ng "flagpol.bmp"} lm=50 "Polish" }
	do {    if (is "labels" ) {targetlabel = "PL"} else {targetbmp "pol.bmp"}
		target = <Polish> }

        on { lm 20 if (is "labels" ) {bold "PT" nobold } else {ng "flagpor.bmp"} lm=50 "Portuguese" }
	do {    if (is "labels" ) {targetlabel = "PT"} else {targetbmp "por.bmp"}
		target = <Portuguese> }


	on { lm 20 if (is "labels" ) {bold "RU" nobold } else {ng "flagrus.bmp"} lm=50 "Russian" }
	do {    if (is "labels" ) {targetlabel = "RU"} else {targetbmp "rus.bmp"}
		target = <Russian> }

        on { lm 20 if (is "labels" ) {bold "SK" nobold } else {ng "flagslo.bmp"} lm=50 "Slovakian" }
	do {    if (is "labels" ) {targetlabel = "SK"} else {targetbmp "slo.bmp"}
		target = <Slovakian> }

	on { lm 20 if (is "labels" ) {bold "SL" nobold } else {ng "flagrus.bmp"} lm=50 "Slovenian" }
	do {    if (is "labels" ) {targetlabel = "SL"} else {targetbmp "rus.bmp"}
		target = <Slovenian> }

        on { lm 20 if (is "labels" ) {bold "SV" nobold } else {ng "flagswe.bmp"} lm=50 "Swedish" }
	do {    if (is "labels" ) {targetlabel = "SV"} else {targetbmp "swe.bmp"}
		target = <Swedish> }

	on { lm 20 if (is "labels" ) {bold "TR" nobold } else {ng "flagtur.bmp"} lm=50 "Turkish" }
	do {    if (is "labels" ) {targetlabel = "TR"} else {targetbmp "tur.bmp"}
		target = <Turkish> }


[hitlist]
	on {ng lm 10 bold fs=11 "layout.bmp" lm 40  "Bilingual Layout" }
	do {left  rm 10 lm 10  fs=10 bold   blue           if (<*sort>  ) { #getfont# <.> }
            cr          lm=30  fs=9  nobold black <\entry> if (<*target>) { #getfont# <.> }}

        on {ng lm 10 bold fs=11 "layout.bmp" lm 40  "Quicklist" }
	do {left  rm 10 lm 10  fs=9 nobold   black           if (<*sort>  ) { #getfont# <.> }}

	
	

[main]
	
	on {fn="Arial" fs=10 bold ng lm 10 "layout.bmp" lm 40 "Full Layout"}
	do
	{	

		left
		rm = 10
		fs 10

		/* 1.Schritt: Komponente ausgeben */

		<\entry>
		while (<>)					
		{
			if (<=idx>)             // wenns Indexfeld ist, abbrechen
			{
				break
			}

			elsif (<=Component>)
                        {
                                nobold
                                lm 50
                                fn="Arial"
				tc=black
                                fs=8
                                "Component:"
                                cr
                                lm 50
                                bold
                                tc=blue
                                fs=12
				while (not <.>)
				{
					<.\>			
					ng "seealso.bmp" " "
					green bold fs=8
					italic
					<.>			
					noitalic nobold
					black fs=9

                                }
				cr
				tc=black
                                fs=9
                        }

                        elsif (<=Comp description>)
                        {
                                lm 50
                                nobold
                                tc=blue
                                fs=9
				while (not <.>)
				{
					<.\>			
					ng "seealso.bmp" " "
					green bold fs=8
					italic
					<.>			
					noitalic nobold
					black fs=9
                                }
				cr
				tc=black
                                fs=9
				break
                        }

                }




		/* 2.Schritt: Quellsprache ausgeben */

		<\entry>
		<*sort>


                td=3
		lm 10
		#getbmp#
		bold
		tc=black
		td=0
		lm = 50
		fs =10
		#getfont#
		bc=yellow
		<.>
		bc=white	
      		if ( not #entry# )
		{ break }

		<\entry>
		<*sortidx>
		while (<=sortidx>)
		{
			if (not <=sort>)
			{
				tc=black
                        	td=3
				lm 10
				#getbmp#
				td=0
				lm = 50
				fs =10
				#getfont#
				<.>
				if ( not #entry# ) { break }
			}
 			else
			{	
				if ( not <sortidx> ) {break}
			}
			
		}
		
		



		/* 3.Schritt: Zielsprache ausgeben */

		<\entry>	
		if (<*target>)
 		{
 			td=3
			lm 10
			#getbmp#
			bold
			tc=black
			td=0
			lm = 50
			fs =10
			#getfont#
			bc=gray
			<.> 			
			bc=white	
      			if ( not #entry# )
			{ break }
		}

		<\entry>
		if (<*targetidx>)
		{
	                while (<=targetidx>)
			{
				if ( not <=target> )
				{
					tc=black
			                td=3
					lm 10
					#getbmp#
					td=0
					lm = 50
					fs =10
					#getfont#
					<.> 		
					if ( not #entry# ) { break }				
				}
				else	{ if ( not <targetidx> ) {break} }
			}		
		}
	
 		



		/* 4. Schritt: alle anderen Sprachen ausgeben */
		<\entry>
		<*idx>
		while (<=idx>)					
		{
			set "idx_found"
			while (<=sortidx> or <=targetidx>)
			{
				clear "idx_found"
				while (<>)
				{
					if (<=idx>)
					   {set "idx_found" break}
				}
				if (not is "idx_found" )
				   {break}
				
			}
			if (not is "idx_found")
				{break}	 	

                        td=3
			lm 10
			#getbmp#
			bold
			tc=black
			td=0
			lm = 50
			fs =10
			#getfont#
			<.> 	 		
			
      			if ( not #entry# )

			{ break }
			
		}	


	}
	
	on { fn="Arial" fs=10 bold  fi = 0 ng lm 10 "layout.bmp" lm 40  "SGML Layout" }
	do { fn="Arial" fs=10 nobold  <./> }
